Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JULovButtonBinding

`java.lang.Object
java.util.AbstractMap
oracle.jbo.common.JboAbstractMap
oracle.adf.model.binding.DCControlBinding
oracle.jbo.uicli.binding.JUControlBinding
oracle.jbo.uicli.binding.JUCtrlValueBinding
oracle.jbo.uicli.binding.JUCtrlAttrsBinding
oracle.jbo.uicli.binding.JUCtrlListBinding
oracle.jbo.uicli.jui.JULovButtonBinding`

All Implemented Interfaces:
  java.awt.event.ActionListener, oracle.adf.model.AttributeBinding, AttributeBinding, javax.swing.ButtonModel, ControlBinding, oracle.adf.model.ControlBinding, java.util.EventListener, java.awt.ItemSelectable, JUCtrlInputValueHandler, JUCtrlValueHandler, java.util.Map, RowNavigationListener, RowSetListener, RowSetManagementListener, StructureDef

public class JULovButtonBinding
extends JUCtrlListBinding
implements java.awt.event.ActionListener, javax.swing.ButtonModel

Binds a JButton with an iterator such that on button action, an LOV dialog (either a framework default dialog or an application-specific one) is displayed; upon the dialog close, the current row from the associated iterator is used to update values of bound attributes in a target row of a target RowIterator. This behavior is similar to JUComboBoxBinding or JUListSingleSelBinding in their LOV Mode. This kind of control/binding is used when the LOV row count is large enough to make navigation in a ListBox or ComboBox difficult. Also this binding allows easier application customization as the display of LOV data is completely delegated to the LOV dialog/LOV panel.

See Also:
  `JUComboBoxBinding`, `JUListSingleSelBinding`

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Field Summary
`protected java.lang.String[]` | `mLovAttrs` Attribute names that are being displayed by this LOV.
`protected JULovPanelInterface` | `mLovPanel` Panel that displays LOV data.

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlListBinding
`DH_CONTROL_TYPE, DH_DISPLAY_HEIGHT, DH_DISPLAY_HINT, DH_DISPLAY_WIDTH, DH_FORMAT, DH_LABEL, DH_TOOLTIP, LIST_ADD_NULL_AT_END, LIST_ADD_NULL_AT_START, LIST_ADD_NULL_NOWHERE, LIST_ADD_NULL_UNINIT, LIST_OPER_NAVIGATE, LIST_OPER_SET_ATTRIBUTE, LISTITEM_DisplayValues, LISTITEM_Index, LISTITEM_Prompt, LISTITEM_Selected, LISTITEM_SelectedIndex, LOV_SRC_ATTRNAMES, LOV_SRC_EL_EXPR, LOV_SRC_ROW_DATA, mFirstDisplayAttr, mListAttrNames, mListDisplayAttrNames, mListIterBinding, mNullValueFlag, mSingleAttrList, mStaticList, mValueList`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`ATTR_ATTRIBUTE, ATTR_ATTRIBUTE_DEF, ATTR_ATTRIBUTE_DEFS, ATTR_ATTRIBUTE_VALUE, ATTR_ATTRIBUTE_VALUES, ATTR_ATTRIBUTES, ATTR_DISPLAY_HEIGHT, ATTR_DISPLAY_HINT, ATTR_DISPLAY_WIDTH, ATTR_FORMAT, ATTR_FORMATS, ATTR_INPUT_VALUE, ATTR_LABEL, ATTR_LABELS, ATTR_LABELSET, ATTR_MANDATORY, ATTR_PATH, ATTR_TOOLTIP, ATTR_UPDATEABLE, ATTR_VIEWABLE, mHasInputVal, mInputVal, SEP_LIST_DISPLAY`

Fields inherited from class oracle.adf.model.binding.DCControlBinding
`ATTR_CURRENTROW, ATTR_DEF, ATTR_ERROR, ATTR_ERRORS, ATTR_FULLNAME, ATTR_ITER, ATTR_NAME, mAttributeListener, mInternalGet_KeyResolved, ROW_KEY_STR`

Constructor Summary
`JULovButtonBinding(java.lang.Object control, JUIteratorBinding iterBinding, java.lang.String[] targetAttrs, JUIteratorBinding lovIter, java.lang.String[] listAttrNames, java.lang.String[] lovVODisplayedAttrNames, boolean searchability, java.lang.String title, java.awt.Point location)`
`JULovButtonBinding(java.lang.Object control, JUIteratorBinding iterBinding, java.lang.String[] targetAttrs, RowSetIterator lovRsi, java.lang.String[] lovVOAttrNames, java.lang.String[] lovVODisplayedAttrNames)` Deprecated. since 10g, use the constructor with IteratorBinding instead of RowSetIterator
`JULovButtonBinding(java.lang.Object control, JUIteratorBinding iterBinding, java.lang.String[] targetAttrs, RowSetIterator lovRsi, java.lang.String[] listAttrNames, java.lang.String[] lovVODisplayedAttrNames, boolean searchability, java.lang.String title, java.awt.Point location)` Deprecated. since 10g, use the constructor with IteratorBinding instead of RowSetIterator
`JULovButtonBinding(java.lang.Object control, JUIteratorBinding iterBinding, java.lang.String[] targetAttrs, RowSetIterator lovRsi, java.lang.String[] listAttrNames, java.lang.String[] lovVODisplayedAttrNames, JULovPanelInterface lovPanel)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent evt)`
`void` | `addActionListener(java.awt.event.ActionListener l)`
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`void` | `addControlToPanel(java.lang.Object panel, java.lang.Object layoutObject, java.lang.Object layoutCons)` *** For internal framework use only ***
`void` | `addItemListener(java.awt.event.ItemListener l)`
`static javax.swing.ButtonModel` | `createLovBinding(JUFormBinding formBinding, javax.swing.AbstractButton control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] voAttrNames, java.lang.String lovVOInstanceName, java.lang.String[] lovVOAttrNames, java.lang.String[] lovVODisplayedAttrNames)` This method should be used to create a JULovButtonBinding and bind it to a JButton control.
`static javax.swing.ButtonModel` | `createLovBinding(JUFormBinding formBinding, javax.swing.AbstractButton control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] voAttrNames, java.lang.String lovVOInstanceName, java.lang.String lovVOIterName, java.lang.String lovVOIterBindingName, java.lang.String[] lovVOAttrNames, java.lang.String[] lovVODisplayedAttrNames, boolean searchability, java.lang.String title, java.awt.Point location)` This method should be used to create a JULovButtonBinding and bind it to a JButton control.
`static javax.swing.ButtonModel` | `createLovBinding(JUFormBinding formBinding, javax.swing.AbstractButton control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] voAttrNames, java.lang.String lovVOInstanceName, java.lang.String lovVOIterName, java.lang.String lovVOIterBindingName, java.lang.String[] lovVOAttrNames, java.lang.String[] lovVODisplayedAttrNames, JULovPanelInterface lovPanel)` This method should be used to create a JULovButtonBinding and bind it to a JButton control.
`int` | `findListIndex(java.lang.Object val)`
`java.lang.Object` | `findMatchingListValue(java.lang.Object val)`
`java.lang.String` | `getActionCommand()`
`java.lang.Object` | `getControlModel(java.lang.Object control)` Gets the associated View's model object.
`java.util.ArrayList` | `getDisplayList()` *** For internal framework use only ***
`static javax.swing.ButtonModel` | `getInstance(JUFormBinding formBinding, javax.swing.AbstractButton control, java.lang.String voInstanceName, java.lang.String voIterName, java.lang.String voIterBindingName, java.lang.String[] voAttrNames, java.lang.String lovVOInstanceName, java.lang.String[] lovVOAttrNames, java.lang.String[] lovVODisplayedAttrNames)` Deprecated. since 9.0.2 use createLovBinding()
`JULovPanelInterface` | `getLovPanelInterface()`
`RowSetIterator` | `getLOVRowSetIterator()` Returns the RowSet Iterator used to display LOV data.
`int` | `getMnemonic()`
`protected javax.swing.ButtonModel` | `getModelImpl(java.lang.Object control)` *** For internal framework use only ***
`java.lang.Object[]` | `getSelectedObjects()`
`java.lang.Object` | `getValueAt(int attrIndex)` Gets the value from the control for the attribute at the given index.
`java.lang.Object` | `getValueFromList(int listIndex)`
`java.lang.Object[]` | `getValueList()` *** For internal framework use only ***
`boolean` | `isArmed()`
`boolean` | `isEnabled()`
`boolean` | `isNavigationMode()`
`boolean` | `isPressed()`
`boolean` | `isRollover()`
`boolean` | `isSelected()`
`void` | `performLOVAction()` This method is invoked when action is to be performed on the associated button.
`void` | `removeActionListener(java.awt.event.ActionListener l)`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`
`void` | `removeItemListener(java.awt.event.ItemListener l)`
`void` | `setActionCommand(java.lang.String s)`
`void` | `setArmed(boolean b)`
`void` | `setDataValueAt(java.lang.Object value, int attrIndex)`
`void` | `setDimension(java.awt.Dimension d)`
`void` | `setEnabled(boolean b)`
`void` | `setGroup(javax.swing.ButtonGroup group)`
`void` | `setHelpAction(java.awt.event.ActionListener al)` If the default LOV dialog is being used to display LOV Data, this method should be used by applications to set the ActionListener that is triggered on activating the help button in the LOV Dialog.
`void` | `setMnemonic(int key)`
`void` | `setNavigationMode(boolean flag)`
`void` | `setPressed(boolean b)`
`void` | `setRollover(boolean b)`
`void` | `setSelected(boolean b)`
`protected void` | `setupListItems(boolean clean, boolean keepSelectedIndex)` If this list is displaying a single attribute and updates a single attribute, then this method fetches the attribute value from all the rows in the given LOV list iterator and sets that as the list of values to display in the bound control.
`void` | `setValueAt(java.lang.Object value, int attrIndex)` Updates the control/control-binding with the latest value of the attribute at the given index with the given value.
`void` | `updateValuesFromRow(Row row)` Updates the control-binding and hence the control with attribute values from the attributes of this Row.

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlListBinding
`addBindingChangeListener, addNullAndSetValueList, convertValueList, filterList, findAndUpdateSelectedIndex, findValue, getDisplayAttributeDefs, getDisplayData, getDisplayHints, getDisplayListIterator, getInputValue, getListDisplayAttrNames, getListIterBinding, getListOperMode, getNullValueFlag, getNullValueIndex, getSelectedIndex, getSelectedIndexValue, getSelectedValue, hasNullValue, internalGet, isControlQueriable, isSingleAttrList, isUpdateable, isViewInitialized, iteratorClosed, iteratorReset, matchTargetWithLov, navigated, processNewInputValue, put, rangeRefreshed, rangeScrolled, release, removeBindingChangeListener, rowDeleted, rowInserted, rowUpdated, setAttributeFromValueList, setInputValue, setListOperMode, setListValueAsSelected, setNullValueProperties, setSelectedIndex, setSelectedIndexValue, setStaticList, setTargetAttrsFromLovRow, setValueList, toString, updateTargetFromSelectedValue`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlAttrsBinding
`createAttributeBinding, refreshControl, setControlEnabled, updateNavigated, updateRangeScrolled, updateValuesFromRows`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueBinding
`compareAndSetAttribute, displayInShortForm, ensureVariableManager, findAttributeDef, getAttribute, getAttribute, getAttribute, getAttributeCount, getAttributeDef, getAttributeDef, getAttributeDefs, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeFromRow, getAttributeIndexOf, getAttributeNames, getAttributes, getAttributes, getAttributeUIHelper, getAttributeValidators, getAttributeValidators, getAttributeValue, getAttributeValue, getAttributeValueFromRow, getAttributeValues, getAttributeValues, getControlType, getDisplayHeight, getDisplayHint, getDisplayWidth, getError, getErrors, getFormat, getFormats, getHint, getHint, getInputErrorsForRowKey, getInputValue, getInputValueHandler, getInputValueInRow, getLabel, getLabel, getLabels, getLabelSet, getLocaleContext, getMergedAttributeValues, getNullValueString, getPath, getTooltip, getTooltip, hasFormatInformation, hasVariables, initResources, internalGetRow, internalHasPermission, isArrayIteratorType, isAttributeMandatory, isAttributeUpdateable, isAttributeUpdateable, isMandatory, isNewInputValue, lookupAttributeDef, processInputException, resetInputState, resolvePath, setArrayIteratorType, setAttribute, setAttribute, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeInRow, setAttributeValue, setError, setInputValue, setInputValueHandler, setInputValueInRow, setNullValueString, stopEditing, updateRowDeleted, updateRowInserted, validateInputValue`

Methods inherited from class oracle.jbo.uicli.binding.JUControlBinding
`getCurrentRow, getFormBinding, getIteratorBinding, reportException, setFormBinding`

Methods inherited from class oracle.adf.model.binding.DCControlBinding
`addToDCExceptions, executeQuery, executeQueryIfNeeded, get, getAllRowsInRange, getApplicationModule, getBindingContainer, getControl, getDCIteratorBinding, getDef, getDefFullName, getDefName, getFullName, getLayoutObject, getName, getRowAtRangeIndex, getRowIterator, getTransaction, getViewObject, hashCode, internalHasPermission, internalSetName, needsEstimatedRowCount, removeFromDCExceptions, reportException, resetAttributeExceptionInRow, setBindingContainer, setControl, setListener, setListener, setName`

Methods inherited from class oracle.jbo.common.JboAbstractMap
`entrySet, equals, internalPut`

Methods inherited from class java.util.AbstractMap
`clear, clone, containsKey, containsValue, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.adf.model.AttributeBinding
`getErrors, getLabel, validateInputValue`

Methods inherited from interface oracle.adf.model.ControlBinding
`setListener`

Methods inherited from interface oracle.binding.ControlBinding
`getName, getPath, resolvePath, setListener`

Methods inherited from interface oracle.jbo.StructureDef
`getDefFullName, getDefName, getFullName, getName`

Field Detail

### mLovAttrs

    protected java.lang.String[] mLovAttrs

  Attribute names that are being displayed by this LOV.

### mLovPanel

    protected JULovPanelInterface mLovPanel

  Panel that displays LOV data.

Constructor Detail

### JULovButtonBinding

    public JULovButtonBinding(java.lang.Object control,
                              JUIteratorBinding iterBinding,
                              java.lang.String[] targetAttrs,
                              RowSetIterator lovRsi,
                              java.lang.String[] lovVOAttrNames,
                              java.lang.String[] lovVODisplayedAttrNames)

  Deprecated. since 10g, use the constructor with IteratorBinding instead of RowSetIterator

### JULovButtonBinding

    public JULovButtonBinding(java.lang.Object control,
                              JUIteratorBinding iterBinding,
                              java.lang.String[] targetAttrs,
                              RowSetIterator lovRsi,
                              java.lang.String[] listAttrNames,
                              java.lang.String[] lovVODisplayedAttrNames,
                              JULovPanelInterface lovPanel)

### JULovButtonBinding

    public JULovButtonBinding(java.lang.Object control,
                              JUIteratorBinding iterBinding,
                              java.lang.String[] targetAttrs,
                              RowSetIterator lovRsi,
                              java.lang.String[] listAttrNames,
                              java.lang.String[] lovVODisplayedAttrNames,
                              boolean searchability,
                              java.lang.String title,
                              java.awt.Point location)

  Deprecated. since 10g, use the constructor with IteratorBinding instead of RowSetIterator

### JULovButtonBinding

    public JULovButtonBinding(java.lang.Object control,
                              JUIteratorBinding iterBinding,
                              java.lang.String[] targetAttrs,
                              JUIteratorBinding lovIter,
                              java.lang.String[] listAttrNames,
                              java.lang.String[] lovVODisplayedAttrNames,
                              boolean searchability,
                              java.lang.String title,
                              java.awt.Point location)

Method Detail

### getControlModel

    public java.lang.Object getControlModel(java.lang.Object control)

  Gets the associated View's model object.

### createLovBinding

    public static javax.swing.ButtonModel createLovBinding(JUFormBinding formBinding,
                                                           javax.swing.AbstractButton control,
                                                           java.lang.String voInstanceName,
                                                           java.lang.String voIterName,
                                                           java.lang.String voIterBindingName,
                                                           java.lang.String[] voAttrNames,
                                                           java.lang.String lovVOInstanceName,
                                                           java.lang.String[] lovVOAttrNames,
                                                           java.lang.String[] lovVODisplayedAttrNames)

  This method should be used to create a JULovButtonBinding and bind it to a JButton control. It returns the model associated with JButton that can be used in setModel() calls to the JButton.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - The control instance to bind to a ViewObject's attribute.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `voAttrNames` - The names of the attributes of the target ViewObject rows that are updated when a LOV row is selected.
    `lovVOInstanceName` - Name of the instance of the ViewObject in BC4J application module to use for LOV display and selection.
    `lovVOAttrNames` - Names of the attributes that are used to update the target ViewObject attributes.
    `lovVODisplayedAttrNames` - Names of the attribytes that are used to create the display of each row in the Lov ViewObject.

### createLovBinding

    public static javax.swing.ButtonModel createLovBinding(JUFormBinding formBinding,
                                                           javax.swing.AbstractButton control,
                                                           java.lang.String voInstanceName,
                                                           java.lang.String voIterName,
                                                           java.lang.String voIterBindingName,
                                                           java.lang.String[] voAttrNames,
                                                           java.lang.String lovVOInstanceName,
                                                           java.lang.String lovVOIterName,
                                                           java.lang.String lovVOIterBindingName,
                                                           java.lang.String[] lovVOAttrNames,
                                                           java.lang.String[] lovVODisplayedAttrNames,
                                                           boolean searchability,
                                                           java.lang.String title,
                                                           java.awt.Point location)

  This method should be used to create a JULovButtonBinding and bind it to a JButton control. It returns the model associated with JButton that can be used in setModel() calls to the JButton.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - The control instance to bind to a ViewObject's attribute.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `voAttrNames` - The names of the attributes of the target ViewObject rows that are updated when a LOV row is selected.
    `lovVOInstanceName` - Name of the instance of the ViewObject in BC4J application module to use for LOV display and selection.
    `lovVOIterName` - Runtime instance name of the iterator in the LOV ViewObject
    `lovVOIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to get Lov rows.
    `lovVOAttrNames` - Names of the attributes that are used to update the target ViewObject attributes.
    `lovVODisplayedAttrNames` - Names of the attribytes that are used to create the display of each row in the Lov ViewObject.
    `searchability` - true if this binding is to allow search mode in the Lov Dialog.
    `title` - String that should be displayed as the title of the Lov Dialog.
    `location` - Where the Lov dialog should be anchored.

### createLovBinding

    public static javax.swing.ButtonModel createLovBinding(JUFormBinding formBinding,
                                                           javax.swing.AbstractButton control,
                                                           java.lang.String voInstanceName,
                                                           java.lang.String voIterName,
                                                           java.lang.String voIterBindingName,
                                                           java.lang.String[] voAttrNames,
                                                           java.lang.String lovVOInstanceName,
                                                           java.lang.String lovVOIterName,
                                                           java.lang.String lovVOIterBindingName,
                                                           java.lang.String[] lovVOAttrNames,
                                                           java.lang.String[] lovVODisplayedAttrNames,
                                                           JULovPanelInterface lovPanel)

  This method should be used to create a JULovButtonBinding and bind it to a JButton control. It returns the model associated with JButton that can be used in setModel() calls to the JButton.
  Parameters:
    `formBinding` - The containing JUPanelBinding in which the given iterator binding would be found/created.
    `control` - The control instance to bind to a ViewObject's attribute.
    `voInstanceName` - Name of the instance of the ViewObject in a BC4J ApplicationModule.
    `voIterName` - Runtime instance name of the iterator in the ViewObject (optional).
    `voIterBindingName` - Instance name of the iterator binding that uniquely identifies an iterator binding object used to read/write data in this given JUPanelBinding instance.
    `voAttrNames` - The names of the attributes of the target ViewObject rows that are updated when a LOV row is selected.
    `lovVOInstanceName` - Name of the instance of the ViewObject in BC4J application module to use for LOV display and selection.
    `lovVOAttrNames` - Names of the attributes that are used to update the target ViewObject attributes.
    `lovVODisplayedAttrNames` - Names of the attribytes that are used to create the display of each row in the Lov ViewObject.
    `lovPanel` - the JULovPanelInterface interface default constructor so that it can be instantiated by this binding method.

### getInstance

    public static javax.swing.ButtonModel getInstance(JUFormBinding formBinding,
                                                      javax.swing.AbstractButton control,
                                                      java.lang.String voInstanceName,
                                                      java.lang.String voIterName,
                                                      java.lang.String voIterBindingName,
                                                      java.lang.String[] voAttrNames,
                                                      java.lang.String lovVOInstanceName,
                                                      java.lang.String[] lovVOAttrNames,
                                                      java.lang.String[] lovVODisplayedAttrNames)

  Deprecated. since 9.0.2 use createLovBinding()

### setDimension

    public void setDimension(java.awt.Dimension d)

### setupListItems

    protected void setupListItems(boolean clean,
                                  boolean keepSelectedIndex)

  Description copied from class: `JUCtrlListBinding`
  If this list is displaying a single attribute and updates a single attribute, then this method fetches the attribute value from all the rows in the given LOV list iterator and sets that as the list of values to display in the bound control.

  If this list is displaying multiple attributes and/or is used in navigation mode, then the valueList is set with the list of all rows from the LOV Iterator binding. In this case, this binding also listens to events from the RowSetIterator for row currency changes, new rows, etc.

  Overrides:
    `setupListItems` in class `JUCtrlListBinding`

### getValueAt

    public java.lang.Object getValueAt(int attrIndex)

  Description copied from class: `JUCtrlAttrsBinding`
  Gets the value from the control for the attribute at the given index. (The index is calculated from the list of attributes this control binding is bound to as passed in the constructor). Framework uses this method to get the attribute value from the control and pass it on to the Row object on the BC4J side.
  Overrides:
    `getValueAt` in class `JUCtrlListBinding`

### setDataValueAt

    public void setDataValueAt(java.lang.Object value,
                               int attrIndex)

  Overrides:
    `setDataValueAt` in class `JUCtrlListBinding`

### setValueAt

    public void setValueAt(java.lang.Object value,
                           int attrIndex)

  Description copied from class: `JUCtrlAttrsBinding`
  Updates the control/control-binding with the latest value of the attribute at the given index with the given value. This method is used by the framework to update the control with attribute values from a BC4J row.
  Overrides:
    `setValueAt` in class `JUCtrlListBinding`

### isNavigationMode

    public boolean isNavigationMode()

### setNavigationMode

    public void setNavigationMode(boolean flag)

### getLovPanelInterface

    public JULovPanelInterface getLovPanelInterface()

### setHelpAction

    public void setHelpAction(java.awt.event.ActionListener al)

  If the default LOV dialog is being used to display LOV Data, this method should be used by applications to set the ActionListener that is triggered on activating the help button in the LOV Dialog. This allows applications to display custom help for the LOV dialog.

### getModelImpl

    protected javax.swing.ButtonModel getModelImpl(java.lang.Object control)

  *** For internal framework use only ***

### addControlToPanel

    public void addControlToPanel(java.lang.Object panel,
                                  java.lang.Object layoutObject,
                                  java.lang.Object layoutCons)

  *** For internal framework use only ***
  Overrides:
    `addControlToPanel` in class `JUCtrlListBinding`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent evt)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### performLOVAction

    public void performLOVAction()

  This method is invoked when action is to be performed on the associated button. It gets the current row from the LOV RowSet Iterator and update the values from this row in to the current row of the target RowSet Iterator by mapping each element in the lovAttributeNames[] in the source/LOV Row with each element in the attributeNames[] in the target Row.

### isArmed

    public boolean isArmed()

  Specified by:
    `isArmed` in interface `javax.swing.ButtonModel`

### isSelected

    public boolean isSelected()

  Specified by:
    `isSelected` in interface `javax.swing.ButtonModel`

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `javax.swing.ButtonModel`

### isPressed

    public boolean isPressed()

  Specified by:
    `isPressed` in interface `javax.swing.ButtonModel`

### isRollover

    public boolean isRollover()

  Specified by:
    `isRollover` in interface `javax.swing.ButtonModel`

### setArmed

    public void setArmed(boolean b)

  Specified by:
    `setArmed` in interface `javax.swing.ButtonModel`

### setSelected

    public void setSelected(boolean b)

  Specified by:
    `setSelected` in interface `javax.swing.ButtonModel`

### setEnabled

    public void setEnabled(boolean b)

  Specified by:
    `setEnabled` in interface `javax.swing.ButtonModel`

### setPressed

    public void setPressed(boolean b)

  Specified by:
    `setPressed` in interface `javax.swing.ButtonModel`

### setRollover

    public void setRollover(boolean b)

  Specified by:
    `setRollover` in interface `javax.swing.ButtonModel`

### setMnemonic

    public void setMnemonic(int key)

  Specified by:
    `setMnemonic` in interface `javax.swing.ButtonModel`

### getMnemonic

    public int getMnemonic()

  Specified by:
    `getMnemonic` in interface `javax.swing.ButtonModel`

### setActionCommand

    public void setActionCommand(java.lang.String s)

  Specified by:
    `setActionCommand` in interface `javax.swing.ButtonModel`

### getActionCommand

    public java.lang.String getActionCommand()

  Specified by:
    `getActionCommand` in interface `javax.swing.ButtonModel`

### setGroup

    public void setGroup(javax.swing.ButtonGroup group)

  Specified by:
    `setGroup` in interface `javax.swing.ButtonModel`

### addActionListener

    public void addActionListener(java.awt.event.ActionListener l)

  Specified by:
    `addActionListener` in interface `javax.swing.ButtonModel`

### removeActionListener

    public void removeActionListener(java.awt.event.ActionListener l)

  Specified by:
    `removeActionListener` in interface `javax.swing.ButtonModel`

### addItemListener

    public void addItemListener(java.awt.event.ItemListener l)

  Specified by:
    `addItemListener` in interface `javax.swing.ButtonModel`

### removeItemListener

    public void removeItemListener(java.awt.event.ItemListener l)

  Specified by:
    `removeItemListener` in interface `javax.swing.ButtonModel`

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

  Specified by:
    `addChangeListener` in interface `javax.swing.ButtonModel`

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

  Specified by:
    `removeChangeListener` in interface `javax.swing.ButtonModel`

### getSelectedObjects

    public java.lang.Object[] getSelectedObjects()

  Specified by:
    `getSelectedObjects` in interface `java.awt.ItemSelectable`

### getLOVRowSetIterator

    public RowSetIterator getLOVRowSetIterator()

  Returns the RowSet Iterator used to display LOV data. This could be used to programmatically set a current selection in the LOV RowSet Iterator.

### findMatchingListValue

    public java.lang.Object findMatchingListValue(java.lang.Object val)

  Overrides:
    `findMatchingListValue` in class `JUCtrlListBinding`

### findListIndex

    public int findListIndex(java.lang.Object val)

  Overrides:
    `findListIndex` in class `JUCtrlListBinding`

### getValueFromList

    public java.lang.Object getValueFromList(int listIndex)

  Overrides:
    `getValueFromList` in class `JUCtrlListBinding`

### getValueList

    public java.lang.Object[] getValueList()

  *** For internal framework use only ***

  Method not implemented

  Overrides:
    `getValueList` in class `JUCtrlListBinding`

### getDisplayList

    public java.util.ArrayList getDisplayList()

  *** For internal framework use only ***

  Method not implemented

### updateValuesFromRow

    public void updateValuesFromRow(Row row)

  Description copied from class: `JUCtrlAttrsBinding`
  Updates the control-binding and hence the control with attribute values from the attributes of this Row. Invokes setValueAt() with the attribute value and attribute index with respect to attributes for which this binding is interested.

  This method also enables/disables the Swing control based on the updateability of the first (Default) attribute to which this control is bound.

  Overrides:
    `updateValuesFromRow` in class `JUCtrlListBinding`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.